- NAME
- SYNOPSIS
- DESCRIPTION

# NAME

stag-autoddl.pl

# SYNOPSIS

      stag-autoddl.pl -parser XMLAutoddl -handler ITextWriter file1.txt file2.txt

      stag-autoddl.pl -parser MyMod::MyParser -handler MyMod::MyWriter file.txt

# DESCRIPTION

script wrapper for the Data::Stag modules

-help|h
  shows this document

-p|parser FORMAT
  FORMAT is one of xml, sxpr or itext, or the name of a perl module

  xml assumed as default

-w|writer FORMAT
  FORMAT is one of xml, sxpr or itext, or the name of a perl module

  This is only used if transforms are required on the data to turn it into relational form; the transformed xml (or other stag format) is stored in the file specified by -t

-link|l NODE_NAME
  this node name will be used as a linking table

  multiple linking nodes can be set:

       -l foo2bar -l x2y -l bim2bum

-t TRANSFORMED_FILE_NAME
  the transformed input file is written here